.banner__container{
	margin-bottom: 130px;
}

.banner__slider {
	position: relative;
	overflow: hidden;
}

.banner__slider .swiper-wrapper {
	display: flex;
	max-height: 900px;
	height: 100vh;
}

.banner__slider .swiper-slide {
	flex-shrink: 0;
	width: 100%;
	height: auto;
	position: relative;
}

.banner__slider .swiper-pagination {
	position: absolute;
	bottom: 20px;
	left: 0;
	width: 100%;
	text-align: center;
	z-index: 10;
}

.banner__slider .swiper-pagination-bullet {
	width: 12px;
	height: 12px;
	background: #fff;
	opacity: 0.5;
	margin: 0 8px;
	border-radius: 50%;
	cursor: pointer;
	transition: opacity 0.3s ease;
}

.banner__slider .swiper-pagination-bullet-active {
	opacity: 1;
	background: #007bff;
}

.banner__slider .swiper-button-prev,
.banner__slider .swiper-button-next {
	width: 24px;
	height: 24px;
	border-radius: 50%;
	color: var(--white);
	transition: background 0.3s ease;
}

.banner__container .swiper-button-next, 
.banner__container .swiper-button-prev {
	margin: 0 !important;
	left: 0 !important;
	right: 0!important;
	position: relative !important;
}

.banner__slider .swiper-button-prev::after,
.banner__slider .swiper-button-next::after {
	content: "";
	background-color: var(--white);
	display: block;
	width: 24px;
	height: 24px;
	transition: .3s linear;
}

.banner__slider .swiper-button-next::after {
	-webkit-mask: url("data:image/svg+xml;charset=UTF-8,%3csvg width='20' height='18' viewBox='0 0 20 18' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M11.5 1.5L19 9M19 9L11.5 16.5M19 9L1 9' stroke='white' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e") center/contain no-repeat;
	mask: url("data:image/svg+xml;charset=UTF-8,%3csvg width='20' height='18' viewBox='0 0 20 18' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M11.5 1.5L19 9M19 9L11.5 16.5M19 9L1 9' stroke='white' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e") center/contain no-repeat;
}

.banner__slider .swiper-button-prev::after {
	-webkit-mask: url("data:image/svg+xml;charset=UTF-8,%3csvg width='20' height='18' viewBox='0 0 20 18' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M8.5 16.5L1 9M1 9L8.5 1.5M1 9H19' stroke='white' stroke-opacity='0.4' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e") center/contain no-repeat;
	mask: url("data:image/svg+xml;charset=UTF-8,%3csvg width='20' height='18' viewBox='0 0 20 18' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M8.5 16.5L1 9M1 9L8.5 1.5M1 9H19' stroke='white'  stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e") center/contain no-repeat;
}

.banner__slider .swiper-button-prev:hover::after,
.banner__slider .swiper-button-next:hover::after {
	background-color: var(--brand200);
}

.banner__pagination {
	display: flex;
	flex-wrap: nowrap;
	gap: 4px;
	align-items: center;
}

.banner__pagination-current {
	font-weight: 700;
	font-size: 22px;
	line-height: 22px;
	color: var(--white);
}

.banner__pagination-separator,
.banner__pagination-total {
	font-weight: 400;
	font-size: 16px;
	line-height: 22px;
	color: var(--white);
}

.banner__container {
	position: relative;
}

.banner__img {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	width: 100%;
	height: 100%;
}

.banner__img img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	aspect-ratio: 16 / 9;
}

.banner__img::before{
	content: "";
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	z-index: 2;
	left: 0;
	bottom: 0;
	right: 0;
	display: block;
	background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.2) 30.45%, rgba(0, 0, 0, 0.4) 64.61%, rgba(0, 0, 0, 0.6) 100%);
}

.banner__info-text {
	height: 100%;
	box-sizing: border-box;
	padding: 80px 80px 100px;
	display: flex;
	flex-direction: column;
	width: 100%;
	gap: 40px;
	z-index: 2;
	justify-content: flex-end;
	max-width: 1440px;
	margin: 0 auto;
	min-height: 860px;
}

.banner__info-text h2{
	font-weight: 700;
	font-size: 36px;
	line-height: 150%;
	text-transform: uppercase;
	color: var(--white);
	max-width: 1070px;
	z-index: 2;
}

.banner__info-text h3{
	font-weight: 400;
	font-size: 18px;
	line-height: 150%;
	letter-spacing: 0%;
	color: var(--white);
	max-width: 660px;
	z-index: 2;
}

.banner__info-text a {
	margin-top: 50px;
	z-index: 2;
	padding: 12px 32px;
}

.banner__navigation-box {
	max-width: 1440px;
	margin: 0 auto;
	width: 100%;
	position: relative;
	z-index: 2;
	width: 100%;
	padding: 0 80px;
	box-sizing: border-box;
	height: 0;
}

.banner__navigation {
	position: relative;
	width: 100%;
	right: 0;
	bottom: 152px;
	margin-left: auto;
	max-width: 400px;
	border: 2px solid rgba(255, 255, 255, 0.25);
	border-radius: 50px;
	padding: 13px 24px;
	box-sizing: border-box;
	display: flex;
	align-items: center;
	justify-content: space-between;
	gap: 15px;
}

.banner__swiper-button {
	width: 108px;
	display: flex;
	justify-content: space-between;
}

.banner__img .banner__img-desktop {
	display: block;
}

.banner__img .banner__img-mobile {
	display: none;
}


@media (max-width: 1000px) {
	.banner__info-text {
		padding: 50px;
	}

	.banner__navigation {
		bottom: 102px;
		max-width: 50%;
	}

	.banner__navigation-box {
		padding: 0 50px;
	}
}

@media (max-width: 768px) {
	.banner__container{
		margin-bottom: 70px;
	}

	.banner__info-text {
		gap: 24px;
		min-height: 540px;
	}

	.banner__info-text h2 {
		font-size: 32px;
	}

	.banner__info-text h3 {
		font-size: 18px;
	}

	.banner__info-text a {
		margin-top: 66px;
	}

	.banner__img .banner__img-desktop {
		display: none;
	}

	.banner__img .banner__img-mobile {
		display: block;
	}
}

@media (max-width: 500px) {
	.banner__container{
		margin-bottom: 50px;
	}

	.banner__slider .swiper-wrapper {
		max-height: 540px;
	}

	.banner__info-text {
		padding: 32px 16px 32px 16px;
	}

	.banner__navigation {
		bottom: 84px;
		max-width: 50%;
	}

	.banner__info-text {
		gap: 16px;
	}

	.banner__info-text h2 {
		font-size: 18px;
	}

	.banner__info-text h3 {
		font-size: 14px;
	}

	.banner__info-text a {
		margin-top: 16px;
	}

	.banner__swiper-button {
		width: 72px;
	}

	.banner__pagination-current {
		font-size: 18px;
	}
	.banner__pagination-separator, .banner__pagination-total {
		font-size: 14px;
	}

	.banner__navigation-box {
		padding: 0 16px;
	}

	.banner__navigation {
		padding: 13px 12px;
	}
}



